package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterDatabaseMoveDatafile extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected SQLName filepath;
   protected SQLName newFilepath;
   protected Boolean keep;
   protected Boolean reuse;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getFilepath() {
      return this.filepath;
   }

   public void setFilepath(SQLName filepath) {
      this.filepath = filepath;
   }

   public SQLName getNewFilepath() {
      return this.newFilepath;
   }

   public void setNewFilepath(SQLName newFilepath) {
      this.newFilepath = newFilepath;
   }

   public Boolean getKeep() {
      return this.keep;
   }

   public void setKeep(Boolean keep) {
      this.keep = keep;
   }

   public Boolean getReuse() {
      return this.reuse;
   }

   public void setReuse(Boolean reuse) {
      this.reuse = reuse;
   }
}
